=== po/wscript ===
#!/usr/bin/env python

def build (bld):
    obj = bld.create_obj ('gnome_translations', 'abraca')
    #obj = bld.create_obj ('gnome_translations', 'abracac')
