=== src/wscript ===
#!/usr/bin/env python

def build (bld):
    obj = bld.create_obj ('cc', 'program')
    obj.source = '''
    abraca.c
    buttons.c
    collections.c
    filter.c
    medialib.c
    misc.c
    playlist.c
    trackinfo.c
    util.c
    '''
    obj.includes = '.'
    obj.uselib = 'GTK GLADE XMMS XMMS_GLIB'
    obj.target = 'abraca'
