=== debian/changelog ===
abraca (0.5.0-3) unstable; urgency=low

  * Bump libxmmsclient-glib-dev dependency to >= 0.7DrNo.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Apr 2010 14:05:57 +0200

abraca (0.5.0-2) unstable; urgency=low

  * Fix FTBFS with vala 0.8.0.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 13 Apr 2010 23:46:29 +0200

abraca (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.10 and xmms2 0.7DrNo (Closes: #571430).
    - Information dialog is closable (Closes: #565734).
    - Abraca launches xmms2d if unable to connect (Closes: #440678).
  * Update debian/copyright.
  * Add libgee-dev to Build-Depends.
  * Bump Standards-Version 3.8.4 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 03 Apr 2010 11:32:47 +0200

abraca (0.4.3-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.9 (Closes: #564354).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 15 Jan 2010 10:07:35 +0100

abraca (0.4.2-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.8 (Closes: #556812).
  * Drop all patches and the patch system.
  * Switch to source format 3.0 (quilt).
  * Bump Build-Depends version of valac to >= 0.7.8.
  * Update debian/watch file.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 01 Dec 2009 00:06:03 +0100

abraca (0.4.1-2) unstable; urgency=low

  * Add debian/patches/fix-packaging-mistake.patch to raise the package
    to the real 0.4.1 release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Oct 2009 00:38:40 +0200

abraca (0.4.1-1) unstable; urgency=low

  * New upstream release.
    - Compatible to vala 0.7.7 (Closes: #549787).
  * Drop fix-binaryblob-comment.patch (applied upstream).
  * Drop version-fix.patch (no longer required).
  * Remove patch system (no patches remaining).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Oct 2009 20:29:18 +0200

abraca (0.4-2) unstable; urgency=low

  * Add quilt as patch system and state this in debian/README.source.
  * Add debian/patches/version-fix.patch to remove the WIP from the upstream
    version string.
  * Add debian/patches/fix-binaryblob-comment.patch to hopefully fix the
    FTBFS on sparc (Closes: #543251).
  * Allow uploads done by Debian Maintainers.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Aug 2009 18:04:52 +0200

abraca (0.4-1) unstable; urgency=medium

  * New upstream release (Closes: #538380)
    + Compatible to xmms2 0.6DrMattDestruction (Closes: #533988, LP: #394938)
    + Provides an icon (LP: #180014)
  * New maintainer (Closes: #540568)
  * Remove debian/abraca.desktop and debian/abraca.menu. Upstream provides a
    desktop file now.
  * Rewrite debian/rules using debhelper 7.
  * Redo Build-Depends list.
  * Bump Standards-Version to 3.8.3.
  * Add Homepage field.
  * Change priority to optional.
  * Recommend only xmms2 and remove all other recommendations and suggestions.
  * Add debian/watch file.
  * Rewrite debian/copyright from scratch using DEP 5 proposal.
  * Remove debian/abraca.xml, upstream provides a man page.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 22 Aug 2009 22:04:29 +0200

abraca (0.2-2) unstable; urgency=low

  * Recommend essential xmms2 packages and suggest the CLI client.
    (Closes: #456369)

 -- Thomas Jollans <thomas@jollans.com>  Sat, 29 Dec 2007 11:12:17 +0100

abraca (0.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use a temporary $HOME during build to stop waf writing outside the build
    directory (Closes: #439567).

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 10 Dec 2007 19:47:31 +0000

abraca (0.2-1) unstable; urgency=low

  * Initial release (Closes: #430729)

 -- Thomas Jollans <thomas@jollans.com>  Thu, 19 Jul 2007 22:58:21 +0200
