=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	scons DESTDIR=$(CURDIR)/debian/abraca PREFIX=/usr verbose=yes

override_dh_auto_install:
	scons install

override_dh_auto_clean:
	scons -c
	# Cleanup behind scons
	rm -rf build .sconf_temp
	rm -f config.log .sconsign.dblite .scons_options
	find site_scons -name '*.pyc' -type f -delete
