=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://abraca.xmms.se/projects/list_files/abraca \
	/attachments/download/[0-9]+/abraca-(.*)\.tar\.bz2
