=== debian/changelog ===
abraca (0.6.0-3) unstable; urgency=low

  * New maintainer (Closes: #619778).
  * Added upstream changelog.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 05 Apr 2011 15:28:30 +0200

abraca (0.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * Explicitly build depend on valac-0.10.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 16 Feb 2011 20:18:01 +0100

abraca (0.6.0-1) experimental; urgency=low

  * New upstream release.
  * Update my email address.
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Update watch file to detect gz and bz2.
  * Drop all patches (applied upstream).
  * Bump valac build dependency to >= 0.10.0.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 22 Jan 2011 19:44:55 +0100
