=== debian/control ===
Source: abraca
Section: sound
Priority: optional
Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 7.0.50~),
               libgee-dev (>= 0.5),
               libgtk2.0-dev,
               libxmmsclient-glib-dev (>= 0.7DrNo),
               pkg-config,
               scons,
               valac-0.10 (>= 0.10.0)
Standards-Version: 3.9.1
Homepage: http://abraca.xmms.se/
Vcs-Git: git://git.debian.org/git/pkg-xmms2/abraca.git
Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/abraca.git

Package: abraca
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xmms2
Description: Simple and powerful graphical client for XMMS2
 Abraca is a client for the XMMS2 music player. It is designed with
 collections in mind, which makes managing your music a breeze.
 .
 It is written in Vala and uses GTK+.
