=== debian/changelog ===
abraca (0.7.0-1) unstable; urgency=low

  * Added DM-Upload-Allowed field
  * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0)
  * Updated valac-0.10 B-D to valac-0.14 (Closes: #663292)
  * Fixed DM-Allow-Upload field in d/control
  * Imported Upstream version 0.7.0
  * Removed libgtk2.0-dev in B-D in favor of newer libgtk-3-dev
  * Bump libxmmsclient-glib-dev B-D to (>= 0.8)
  * Added 01-change-icon.diff patch for using different icon
  * Added myself to d/copyright and bumped year
  * Fixed d/watch
  * Changed Homepage field in d/control
  * Fixed missing-field-in-dep5-copyright lintian message
  * Added missing copyright files and licenses

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 20 Mar 2012 23:52:52 +0100

abraca (0.6.0-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/rules:
    - Build using the bundled version of scons.
      Fixes FTBFS on amd64 machines. (Closes: #642678)

 -- Andrea Veri <and@debian.org>  Sun, 25 Sep 2011 15:58:38 +0200
