=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
                libgee-dev (>= 0.5),
-               libgtk2.0-dev,
-               libxmmsclient-glib-dev (>= 0.7DrNo),
+               libgtk-3-dev,
+               libxmmsclient-glib-dev (>= 0.8),
                pkg-config,
                scons,
-               valac-0.10 (>= 0.10.0)
-Standards-Version: 3.9.1
-Homepage: http://abraca.xmms.se/
+               valac-0.14 (>= 0.14.0),
+Standards-Version: 3.9.3
+Homepage: http://abraca.github.com/Abraca/
 Vcs-Git: git://git.debian.org/git/pkg-xmms2/abraca.git
 Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/abraca.git
