=== debian/watch ===
version=3
http://githubredir.debian.net/github/Abraca/Abraca/ (.*).tar.gz
